<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.artfess.file.persistence.dao.FileZoneDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.artfess.file.model.FileZone">
        <id column="id_" property="id" />
        <result column="zone_name_" property="zoneName" />
        <result column="zone_path_" property="zonePath" />
        <result column="zone_md5_" property="zoneMd5" />
        <result column="zone_total_count_" property="zoneTotalCount" />
        <result column="zone_total_size_" property="zoneTotalSize" />
        <result column="zone_start_size_" property="zoneStartSize" />
        <result column="zone_end_size_" property="zoneEndSize" />
        <result column="zone_total_md5_" property="zoneTotalMd5" />
        <result column="zone_now_index_" property="zoneNowIndex" />
        <result column="zone_suffix_" property="zoneSuffix" />
        <result column="zone_record_time_" property="zoneRecordTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, zone_name_, zone_path_, zone_md5_, zone_total_count_, zone_total_size_, zone_start_size_, zone_end_size_, zone_total_md5_, zone_now_index_, zone_suffix_,zone_record_time_
    </sql>

</mapper>
